prepare_report_list <- function(path_report_list) {
  out <- path("..", "data-prep", "report_list", "part-0.parquet")
  dir_create(path_dir(out))

  read_csv(
    path_report_list,
    col_types = cols(
      year = col_integer(),
      report_id = col_integer()
    )
  ) |>
    mutate(sboe_id = fix_sboe_id_missing(sboe_id, report_id)) |>
    spot_fix_report_list() |>
    arrow::write_parquet(out)

  out
}

out_report_list <- function(report_list) {
  out <- path("data-out", "report_list", "report_list.parquet")
  dir_create(path_dir(out))

  arrow::write_parquet(report_list, out)

  dirname(out)
}
